<?xml version="1.0" encoding="utf-8"?><!DOCTYPE nta PUBLIC '-//Uppaal Team//DTD Flat System 1.1//EN' 'http://www.it.uu.se/research/group/darts/uppaal/flat-1_1.dtd'><nta><declaration>// Place global declarations here.
</declaration><template><name x="5" y="5">Client</name><declaration>// Place local declarations here.
</declaration><location id="id0" x="80" y="16"><name x="80" y="-16">Requesting</name></location><location id="id1" x="-48" y="16"><name x="-80" y="-16">Start</name></location><init ref="id1"/><transition><source ref="id0"/><target ref="id1"/><label kind="synchronisation" x="-16" y="40">respond?</label><label kind="assignment" x="-32" y="64">server_id := ID</label><nail x="64" y="64"/><nail x="-32" y="64"/></transition><transition><source ref="id1"/><target ref="id0"/><label kind="synchronisation" x="-8" y="-56">request!</label><label kind="assignment" x="-8" y="-32">ID := 0</label><nail x="-32" y="-32"/><nail x="64" y="-32"/></transition></template><template><name x="5" y="5">Server</name><declaration>// Place local declarations here.
</declaration><location id="id2" x="80" y="16"><name x="80" y="-16">Responding</name></location><location id="id3" x="-48" y="16"><name x="-80" y="-16">Start</name></location><init ref="id3"/><transition><source ref="id2"/><target ref="id3"/><label kind="synchronisation" x="-16" y="40">respond!</label><label kind="assignment" x="-8" y="64">ID := 3</label><nail x="64" y="64"/><nail x="-32" y="64"/></transition><transition><source ref="id3"/><target ref="id2"/><label kind="synchronisation" x="-8" y="-56">request?</label><label kind="assignment" x="-24" y="-32">client_id := ID</label><nail x="-32" y="-32"/><nail x="64" y="-32"/></transition></template><system>// Place template instantiations here.
Process = Template();

// List one or more processes to be composed into a system.
system Process;</system></nta>